<?php 
$wp_customize->add_section( 'title_tagline', array(
    'title' => __( 'Logo Settings', 'digital_marketing_agency Premium' ),
     'priority' => null,
    'panel' => 'digital_marketing_agency_header_panel2',
) );
 

$wp_customize->add_setting('digital_marketing_agency_reset_logosetting_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new digital_marketing_agency_Reset_Custom_Control($wp_customize, 'digital_marketing_agency_reset_logosetting_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Logo Settings', 'digital_marketing_agency'),
  'description' => 'digital_marketing_agency_logosetting_reset_settings',
  'section' => 'title_tagline'
))); 

$wp_customize->add_setting('digital_marketing_agency_logosetting_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));


    $wp_customize->add_control(new digital_marketing_agency_Tab_Control($wp_customize, 'digital_marketing_agency_logosetting_nav', array(
       'section' => 'title_tagline',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'digital_marketing_agency-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'custom_logo',
                'blogname',
                'blogdescription',
                'site_icon',
                'digital_marketing_agency_show_site_title',
               'digital_marketing_agency_show_tagline'               
            ),
            'active' => true,
         ), 
          array(   
            'name' => esc_html__('Layout', 'digital_marketing_agency-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'digital_marketing_agency_logo_size',
               'digital_marketing_agency_logo_height',
               'digital_marketing_agency_logo_margin',
               'digital_marketing_agency_logo_top_margin',
               'digital_marketing_agency_logo_bottom_margin',
               'digital_marketing_agency_logo_left_margin',
               'digital_marketing_agency_logo_right_margin'
            ),
         )
        ),
    )));

    $wp_customize->add_setting( 'digital_marketing_agency_show_site_title',array(
        'default' => true,
        'sanitize_callback' => 'digital_marketing_agency_switch_sanitization'
   ) );
   $wp_customize->add_control( new digital_marketing_agency_Toggle_Switch_Custom_Control( $wp_customize, 'digital_marketing_agency_show_site_title',array(
        'label' => __( 'Site Title','digital_marketing_agency' ),
        'section' => 'title_tagline'
   )));

    $wp_customize->add_setting( 'digital_marketing_agency_show_tagline',array(
        'default' => true,
        'sanitize_callback' => 'digital_marketing_agency_switch_sanitization'
   ) );
   $wp_customize->add_control( new digital_marketing_agency_Toggle_Switch_Custom_Control( $wp_customize, 'digital_marketing_agency_show_tagline',array(
        'label' => __( 'Site Tagline','digital_marketing_agency' ),
        'section' => 'title_tagline'
   )));

    $wp_customize->add_setting('digital_marketing_agency_logo_size',array(
        'default' => 100,
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control(new digital_marketing_agency_Custom_Control( $wp_customize, 'digital_marketing_agency_logo_size',array(
    'label' => __('Logo Width','digital_marketing_agency'),
    'section' => 'title_tagline',
    'input_attrs' => array(
            'min' => 0,
            'max' => 100,
            'step' => 1,
        ),
    )));

    $wp_customize->add_setting('digital_marketing_agency_logo_height',array(
        'default' => '',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control(new digital_marketing_agency_Custom_Control( $wp_customize, 'digital_marketing_agency_logo_height',array(
    'label' => __('Logo Height','digital_marketing_agency'),
    'section' => 'title_tagline',
    'input_attrs' => array(
            'min' => 0,
            'max' => 150,
            'step' => 1,
        ),
    )));


    $wp_customize->add_setting('digital_marketing_agency_logo_margin',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('digital_marketing_agency_logo_margin',array(
      'label' => __('Logo Padding','digital_marketing_agency'),
      'section' => 'title_tagline'
   ));

$wp_customize->add_setting('digital_marketing_agency_logo_top_margin',array(
        'default' => '1',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('digital_marketing_agency_logo_top_margin',array(
    'type' => 'number',
    'label' => __('Top','digital_marketing_agency'),
    'section' => 'title_tagline',
    ));

    $wp_customize->add_setting('digital_marketing_agency_logo_bottom_margin',array(
        'default' => '1',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('digital_marketing_agency_logo_bottom_margin',array(
    'type' => 'number',
    'label' => __('Bottom','digital_marketing_agency'),
    'section' => 'title_tagline',
    ));

    $wp_customize->add_setting('digital_marketing_agency_logo_left_margin',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('digital_marketing_agency_logo_left_margin',array(
    'type' => 'number',
    'label' => __('Left','digital_marketing_agency'),
    'section' => 'title_tagline',
    ));

    $wp_customize->add_setting('digital_marketing_agency_logo_right_margin',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('digital_marketing_agency_logo_right_margin',array(
    'type' => 'number',
    'label' => __('Right','digital_marketing_agency'),
    'section' => 'title_tagline',
    ));
?>