<?php 
    $wp_customize->add_section(
        'digital_marketing_agency_about_section',
        array(
            'title' => __('About Us', 'digital_marketing_agency-premium'),
            'panel' => 'digital_marketing_agency_premium_home_panel1',
            'priority' =>20
        )
    );  
 
$wp_customize->add_setting('digital_marketing_agency_reset_about_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
)); 
$wp_customize->add_control(new digital_marketing_agency_Reset_Custom_Control($wp_customize, 'digital_marketing_agency_reset_about_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset about Section Settings', 'digital_marketing_agency'),
  'description' => 'digital_marketing_agency_about_reset_settings',
  'section' => 'digital_marketing_agency_about_section'
)));
 
$wp_customize->add_setting('digital_marketing_agency_about_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new digital_marketing_agency_Tab_Control($wp_customize, 'digital_marketing_agency_about_nav', array(
       'section' => 'digital_marketing_agency_about_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'digital_marketing_agency-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'digital_marketing_agency_about_enable',
                'digital_marketing_agency_about_image1',
                'digital_marketing_agency_about_logo',
                'digital_marketing_agency_about_image2',
                'digital_marketing_agency_about_section_title1',
                'digital_marketing_agency_about_head_icon_enable',
                'digital_marketing_agency_about_head_icon',
                'digital_marketing_agency_about_subtitle',
                'digital_marketing_agency_about_text',
                'digital_marketing_agency_about_texttext',
                'digital_marketing_agency_about_description',
                'digital_marketing_agency_about_page_list',                
                'digital_marketing_agency_about_button_display',
                'digital_marketing_agency_about_btn_txt',
                'digital_marketing_agency_about_btnlink'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'digital_marketing_agency-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'digital_marketing_agency_about_section_bg_color',
                'digital_marketing_agency_about_section_bg_image',
                'digital_marketing_agency_about_image_opacity',               
                'digital_marketing_agency_about_title_heading1',
                'digital_marketing_agency_premium_about_section_background',
                'digital_marketing_agency_about_bg_color',
                'digital_marketing_agency_about_bg_image',                
                'digital_marketing_agency_about_box_onload_effects', 
                'digital_marketing_agency_about_head_align',
                'digital_marketing_agency_about_area_btn_color',
                'digital_marketing_agencyabout_area_btnbg1_color',
                'digital_marketing_agencyabout_area_btnbg2_color',
                'digital_marketing_agency_about_heading_color1',
                'digital_marketing_agency_about_heading_color2',
                'digital_marketing_agency_about_headingborder_color1',
                'digital_marketing_agency_about_headingborder_color2',
                'digital_marketing_agency_about_headingicon_color1',
                'digital_marketing_agency_about_headingicon_color2',
                'digital_marketing_agency_about_subheading_color',
                'digital_marketing_agency_about_text_color',
                'digital_marketing_agency_about_description_color',
                'digital_marketing_agency_about_list_color',
                'digital_marketing_agency_about_icon_color',
                'digital_marketing_agency_about_iconbg_color',
                'digital_marketing_agency_about_button_color',
                'digital_marketing_agency_about_buttonbg_color1',
                'digital_marketing_agency_about_buttonbg_color2',
                'digital_marketing_agency_about_buttontxthov_color1'
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'digital_marketing_agency-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'digital_marketing_agency_about_padding',
                'digital_marketing_agency_about_top_padding',
                'digital_marketing_agency_about_bottom_padding',
                'digital_marketing_agency_about_section_width'
            ),
         )
        ),
    )));

$wp_customize->add_setting( 'digital_marketing_agency_about_enable',array(
    'default' => true,
    'sanitize_callback' => 'digital_marketing_agency_switch_sanitization'
));
$wp_customize->add_control( new digital_marketing_agency_Toggle_Switch_Custom_Control( $wp_customize, 'digital_marketing_agency_about_enable',array(
    'label' => __( 'Disable Section','digital_marketing_agency' ),
    'section' => 'digital_marketing_agency_about_section'
)));

$wp_customize->add_setting(
    'digital_marketing_agency_about_section_title1',
    array(
        'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
        'default'           => __( 'ABOUT US', 'digital_marketing_agency-premium' )
    )
);
$wp_customize->add_control(
    'digital_marketing_agency_about_section_title1',
    array(
        'settings'      => 'digital_marketing_agency_about_section_title1',
        'section'       => 'digital_marketing_agency_about_section', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'digital_marketing_agency-premium' )
    )
);

$wp_customize->add_setting('digital_marketing_agency_about_head_icon_enable',array(
        'default' => 'No',
        'sanitize_callback' => 'digital_marketing_agency_sanitize_choices',
    ));
    $wp_customize->add_control('digital_marketing_agency_about_head_icon_enable',array(
        'type' => 'radio',
        'label' => __('Heading Icon Display','digital_marketing_agency'),
        'choices' => array (
            'No' => __('No','digital_marketing_agency'),
            'Yes' => __('Yes','digital_marketing_agency')        
        ),
        'section' => 'digital_marketing_agency_about_section'
    ));

 $wp_customize->add_setting(
        'digital_marketing_agency_about_head_icon',
        array(
            'default'           => 'fa fa-bell',
            'sanitize_callback' => 'digital_marketing_agency_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new digital_marketing_agency_Fontawesome_Icon_Chooser(
            $wp_customize,
            'digital_marketing_agency_about_head_icon',
            array(
                // 'settings'      => 'digital_marketing_agency_about_head_icon',
                'section'       => 'digital_marketing_agency_about_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'digital_marketing_agency-premium' ),
                'active_callback' => 'digital_marketing_agency_about_type_icon'
            )
        )
    );

$wp_customize->add_setting(
    'digital_marketing_agency_about_subtitle',
    array(
        'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
        'default'           => __( 'We Offer Best Creatives IT Solutions & Consulting Firm', 'digital_marketing_agency-premium' )
    )
);
$wp_customize->add_control(
    'digital_marketing_agency_about_subtitle',
    array(
        'settings'      => 'digital_marketing_agency_about_subtitle',
        'section'       => 'digital_marketing_agency_about_section', 
        'type'          => 'text',
        'label'         => __( 'Section Sub Heading', 'digital_marketing_agency-premium' )
    )
);

$wp_customize->add_setting(
    'digital_marketing_agency_about_text',
    array(
        'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
        'default'           => __( 'Lorem ipsum dolor sit amet consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna Lorem ipsum dolor sit amet, consectetur adipiscing elit sed do eiusmod tempor incididunt ut labore et dolore magna', 'digital_marketing_agency-premium' )
    )
);
$wp_customize->add_control(
    'digital_marketing_agency_about_text',
    array(
        'settings'      => 'digital_marketing_agency_about_text',
        'section'       => 'digital_marketing_agency_about_section', 
        'type'          => 'textarea',
        'label'         => __( 'Paragraph', 'digital_marketing_agency-premium' )
    )
);

$wp_customize->add_setting(
    'digital_marketing_agency_about_description',
    array(
        'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
        'default'           => __( 'eiusmod tempor incididunt ut labore et dolore magnasit amet consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna', 'digital_marketing_agency-premium' )
    )
);
$wp_customize->add_control(
    'digital_marketing_agency_about_description',
    array(
        'settings'      => 'digital_marketing_agency_about_description',
        'section'       => 'digital_marketing_agency_about_section', 
        'type'          => 'textarea',
        'label'         => __( 'Description', 'digital_marketing_agency-premium' )
    )
);

$wp_customize->add_setting(
    'digital_marketing_agency_about_page_list',
    array(
        'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
        'default'           => __( '<ul>
           <li>Corporate Cash Management</li>
            <li>Cost According Fundamental</li>
            <li>According Procedures Guidebook</li>
            <li>Creative Websites Design</li>
            </ul>', 'digital_marketing_agency-premium' )
    )
);
$wp_customize->add_control(
    'digital_marketing_agency_about_page_list',
    array(
        'settings'      => 'digital_marketing_agency_about_page_list',
        'section'       => 'digital_marketing_agency_about_section', 
        'type'          => 'textarea',
        'label'         => __( 'Bullet Points ', 'digital_marketing_agency-premium' )
    )
);

$wp_customize->add_setting( 'digital_marketing_agency_about_image1', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'digital_marketing_agency_about_image1', array(
        'label' => __('About Image1','digital_marketing_agency'),
       'section' => 'digital_marketing_agency_about_section',
    )));

$wp_customize->add_setting( 'digital_marketing_agency_about_logo', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'digital_marketing_agency_about_logo', array(
        'label' => __('About logo Image','digital_marketing_agency'),
       'section' => 'digital_marketing_agency_about_section',
    ))); 

$wp_customize->add_setting( 'digital_marketing_agency_about_image2', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'digital_marketing_agency_about_image2', array(
        'label' => __('About Image2','digital_marketing_agency'),
       'section' => 'digital_marketing_agency_about_section',
    )));


// backgroundManager($wp_customize, 'about', 'digital_marketing_agency_about_section', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

$wp_customize->add_setting( 'digital_marketing_agency_about_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'digital_marketing_agency_about_section_bg_color', array(
        'label' => __('Section Background Color','digital_marketing_agency'),
       'section' => 'digital_marketing_agency_about_section',
    )));

$wp_customize->add_setting( 'digital_marketing_agency_about_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'digital_marketing_agency_about_section_bg_image', array(
        'label' => __('Section Background Image','digital_marketing_agency'),
       'section' => 'digital_marketing_agency_about_section',
    )));

$wp_customize->add_setting('digital_marketing_agency_about_image_opacity',array(
        'default' => 1,
        'sanitize_callback' => 'digital_marketing_agency_sanitize_float'
    ));
$wp_customize->add_control(new digital_marketing_agency_Custom_Control( $wp_customize, 'digital_marketing_agency_about_image_opacity',array(
    'label' => __('Background Opacity','digital_marketing_agency'),
    'section' => 'digital_marketing_agency_about_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));

// to show & hide another button
$wp_customize->add_setting( 'digital_marketing_agency_about_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'digital_marketing_agency_about_button_display', array( 'label' => 'Button Display', 'section' => 'digital_marketing_agency_about_section', 'settings' => 'digital_marketing_agency_about_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button
// appointment 
$wp_customize->add_setting(
    'digital_marketing_agency_about_btn_txt',
    array(
        'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
        'default'           => __( 'Read More' )
    )
);
$wp_customize->add_control(
    'digital_marketing_agency_about_btn_txt',
    array(
        'settings'      => 'digital_marketing_agency_about_btn_txt',
        'section'       => 'digital_marketing_agency_about_section',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'digital_marketing_agency-premium' )
    )
);

$wp_customize->add_setting('digital_marketing_agency_about_btnlink',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('digital_marketing_agency_about_btnlink',
    array(
        'settings'      => 'digital_marketing_agency_about_btnlink',
        'section'       => 'digital_marketing_agency_about_section',
        'type'          => 'url',
        'label'         => __( 'Add Button link here', 'digital_marketing_agency-premium' )
     )
);

$wp_customize->add_setting('digital_marketing_agency_about_box_onload_effects',array(
        'default' => 'zoom-in',
        'sanitize_callback' => 'digital_marketing_agency_sanitize_choices',
    ));
$wp_customize->add_control('digital_marketing_agency_about_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Block Onload Transition Effects','digital_marketing_agency'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','digital_marketing_agency'),
            'wow bounceInRight' => __('Bounce In Right','digital_marketing_agency'),
            'wow bounceInUp' => __('Bounce In Up','digital_marketing_agency'),
            'wow bounceInDown' => __('Bounce In Down','digital_marketing_agency'),
            'wow zoomIn' => __('Zoom In','digital_marketing_agency'),
            'wow zoomOut' => __('Zoom Out','digital_marketing_agency'),
            'wow fadeInDown' => __('Fade In Down','digital_marketing_agency'),            
            'wow fadeInUp' => __('Fade In Up','digital_marketing_agency'),
            'wow fadeInLeft' => __('Fade In Left','digital_marketing_agency'),
            'wow fadeInRight' => __('Fade In Right','digital_marketing_agency'),
            'flip-up' => __('Flip Up','digital_marketing_agency')
        ),
        'section' => 'digital_marketing_agency_about_section',
    ));

$wp_customize->add_setting('digital_marketing_agency_about_head_align',array(
        'default' => 'Left',
        'sanitize_callback' => 'digital_marketing_agency_sanitize_choices',
    ));
$wp_customize->add_control('digital_marketing_agency_about_head_align',array(
        'type' => 'select',
        'label' => __('Head Alignment','digital_marketing_agency'),
        'choices' => array (
            'Center' => __('Center','digital_marketing_agency'),
            'Left' => __('Left','digital_marketing_agency'),
            'Right' => __('Right','digital_marketing_agency')
        ),
        'section' => 'digital_marketing_agency_about_section',
    ));


$wp_customize->add_setting('digital_marketing_agency_about_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
$wp_customize->add_control('digital_marketing_agency_about_padding',array(
      'label' => __('Section Padding','digital_marketing_agency'),
      'section' => 'digital_marketing_agency_about_section'
   ));
   
$wp_customize->add_setting('digital_marketing_agency_about_top_padding',array(
        'default' => '3',
        'sanitize_callback' => 'sanitize_text_field'
    ));
$wp_customize->add_control('digital_marketing_agency_about_top_padding',array(
    'type' => 'number',
    'label' => __('Top','digital_marketing_agency'),
    'section' => 'digital_marketing_agency_about_section',
    ));

$wp_customize->add_setting('digital_marketing_agency_about_bottom_padding',array(
        'default' => '5',
        'sanitize_callback' => 'sanitize_text_field'
    ));
$wp_customize->add_control('digital_marketing_agency_about_bottom_padding',array(
    'type' => 'number',
    'label' => __('Bottom','digital_marketing_agency'),
    'section' => 'digital_marketing_agency_about_section',
    ));

$wp_customize->add_setting('digital_marketing_agency_about_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'digital_marketing_agency_sanitize_choices',
    ));
$wp_customize->add_control('digital_marketing_agency_about_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','digital_marketing_agency'),
        'choices' => array (
            'Box Width' => __('Box Width','digital_marketing_agency'),
            'Full Width' => __('Full Width','digital_marketing_agency')
        ),
        'section' => 'digital_marketing_agency_about_section',
    ));

addColorPalatOption($wp_customize, 'digital_marketing_agency_about_heading_color1', 'digital_marketing_agency_about_section', 'Heading Color', '');
addColorPalatOption($wp_customize, 'digital_marketing_agency_about_heading_color2', 'digital_marketing_agency_about_section', 'Heading Color', '');

addColorPalatOption($wp_customize, 'digital_marketing_agency_about_headingborder_color1', 'digital_marketing_agency_about_section', 'Heading Border Color', '');
addColorPalatOption($wp_customize, 'digital_marketing_agency_about_headingborder_color2', 'digital_marketing_agency_about_section', 'Heading Border Color', '');

addColorPalatOption($wp_customize, 'digital_marketing_agency_about_headingicon_color1', 'digital_marketing_agency_about_section', 'Heading Icon Color', '');
addColorPalatOption($wp_customize, 'digital_marketing_agency_about_headingicon_color2', 'digital_marketing_agency_about_section', 'Heading Icon Color', '');

addColorPalatOption($wp_customize, 'digital_marketing_agency_about_subheading_color', 'digital_marketing_agency_about_section', 'Subheading Color', '');

addColorPalatOption($wp_customize, 'digital_marketing_agency_about_text_color', 'digital_marketing_agency_about_section', 'Text Color', '');
addColorPalatOption($wp_customize, 'digital_marketing_agency_about_description_color', 'digital_marketing_agency_about_section', 'Description Color', '');
addColorPalatOption($wp_customize, 'digital_marketing_agency_about_list_color', 'digital_marketing_agency_about_section', 'List Color', '');

addColorPalatOption($wp_customize, 'digital_marketing_agency_about_icon_color', 'digital_marketing_agency_about_section', 'Icon Color', '');
addColorPalatOption($wp_customize, 'digital_marketing_agency_about_iconbg_color', 'digital_marketing_agency_about_section', 'Icon Background Color', '');
addColorPalatOption($wp_customize, 'digital_marketing_agency_about_button_color', 'digital_marketing_agency_about_section', 'Button Text Color', '');
addColorPalatOption($wp_customize, 'digital_marketing_agency_about_buttonbg_color1', 'digital_marketing_agency_about_section', 'Button Background Color', '');
addColorPalatOption($wp_customize, 'digital_marketing_agency_about_buttonbg_color2', 'digital_marketing_agency_about_section', 'Button Background Color', '');

addColorPalatOption($wp_customize, 'digital_marketing_agency_about_buttontxthov_color1', 'digital_marketing_agency_about_section', 'Button Text Hover Color', '');
?>