<?php  
$wp_customize->add_section(
    'digital_marketing_agency_slider_section',
    array(
        'title' => __( 'Slider', 'digital_marketing_agency' ),
        'panel' => 'digital_marketing_agency_premium_home_panel1',
        'priority' =>18
    )  
);  
    
$wp_customize->add_setting('digital_marketing_agency_reset_slider_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new digital_marketing_agency_Reset_Custom_Control($wp_customize, 'digital_marketing_agency_reset_slider_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset slider Section Settings', 'digital_marketing_agency'),
  'description' => 'digital_marketing_agency_slider_reset_settings',
  'section' => 'digital_marketing_agency_slider_section'
)));

$wp_customize->add_setting('digital_marketing_agency_slider_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

$wp_customize->add_control(new digital_marketing_agency_Tab_Control($wp_customize, 'digital_marketing_agency_slider_nav', array(
       'section' => 'digital_marketing_agency_slider_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'digital_marketing_agency-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'slider_section_show_content',
                'digital_marketing_agency_slider_image_opacity'
            ),
            'active' => true,
         ), 
          array(
            'name' => esc_html__('Style', 'digital_marketing_agency-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'digital_marketing_agency_slider_Background_color1',
                'digital_marketing_agency_slider_Background_color2',
                'digital_marketing_agency_slider_heading_color',
                'digital_marketing_agency_slider_text_color',
                'digital_marketing_agency_slider_buttontext_color1',  
                'digital_marketing_agency_slider_buttonbg_color1', 
                'digital_marketing_agency_slider_indicatortext_color',
                'digital_marketing_agency_slider_indicatortexthover_color',
                // 'digital_marketing_agency_slider_overlay_color'           
            ),
         ), 
          array(
            'name' => esc_html__('Layout', 'digital_marketing_agency-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'digital_marketing_agency_slider_section_width'
            ),
         )
        ),
    )));

$wp_customize->add_setting(
    'slider_section_show_content',
    array(
        'sanitize_callback' => 'digital_marketing_agency_sanitize_text',
    )
);
$wp_customize->add_control(
    new digital_marketing_agency_Switch_Control(
        $wp_customize,
        'slider_section_show_content',
        array(
            'settings'      => 'slider_section_show_content',
            'section'       => 'digital_marketing_agency_slider_section',
            'label'         => __( 'Hide Title and Description on Slider', 'digital_marketing_agency' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'digital_marketing_agency' ),
                'off' => __( 'No', 'digital_marketing_agency' )
            ),
        )
    )
);

// $wp_customize->add_setting( 'digital_marketing_agency_slider_side_image', array(
//        'default' => '',
//        'sanitize_callback' => 'esc_url_raw'
//     ));
//     $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'digital_marketing_agency_slider_side_image', array(
//         'label' => __('Slider Image','digital_marketing_agency'), 
//        'section' => 'digital_marketing_agency_slider_section',
//     )));

    $wp_customize->add_setting('digital_marketing_agency_slider_image_opacity',array(
        'default' => 0.7,
        'sanitize_callback' => 'digital_marketing_agency_sanitize_float'
    ));
    $wp_customize->add_control(new digital_marketing_agency_Custom_Control( $wp_customize, 'digital_marketing_agency_slider_image_opacity',array(
    'label' => __('Slider Image Opacity','digital_marketing_agency'),
    'section' => 'digital_marketing_agency_slider_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));

    $wp_customize->add_setting('digital_marketing_agency_slider_section_width',array(
        'default' => 'Full Width',
        'sanitize_callback' => 'digital_marketing_agency_sanitize_choices',
    ));
    $wp_customize->add_control('digital_marketing_agency_slider_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','digital_marketing_agency'),
        'choices' => array (
            'Box Width' => __('Box Width','digital_marketing_agency'),
            'Full Width' => __('Full Width','digital_marketing_agency')
        ),
        'section' => 'digital_marketing_agency_slider_section',
    ));

addColorPalatOption($wp_customize, 'digital_marketing_agency_slider_Background_color1', 'digital_marketing_agency_slider_section', 'Background Color', '');
addColorPalatOption($wp_customize, 'digital_marketing_agency_slider_Background_color2', 'digital_marketing_agency_slider_section', 'Background Color', '');

    addColorPalatOption($wp_customize, 'digital_marketing_agency_slider_heading_color', 'digital_marketing_agency_slider_section', 'Heading Color', '');
addColorPalatOption($wp_customize, 'digital_marketing_agency_slider_text_color', 'digital_marketing_agency_slider_section', 'Text Color', '');
addColorPalatOption($wp_customize, 'digital_marketing_agency_slider_buttontext_color1', 'digital_marketing_agency_slider_section', 'Button Text Color', '');
addColorPalatOption($wp_customize, 'digital_marketing_agency_slider_buttonbg_color1', 'digital_marketing_agency_slider_section', 'Button Background Color', '');
addColorPalatOption($wp_customize, 'digital_marketing_agency_slider_indicatortext_color', 'digital_marketing_agency_slider_section', 'Indicator Color', '');
addColorPalatOption($wp_customize, 'digital_marketing_agency_slider_indicatortexthover_color', 'digital_marketing_agency_slider_section', 'Indicator Hover Color', '');
// addColorPalatOption($wp_customize, 'digital_marketing_agency_slider_overlay_color', 'digital_marketing_agency_slider_section', 'Overlay color', '');
?>