<?php
/**
 * digital_marketing_agency.
 *
 * @package digital_marketing_agency Premium
 */
require "class/customizer-classes.php";
/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function digital_marketing_agency_lite_customize_register( $wp_customize ) {

    load_template( trailingslashit( get_template_directory() ) . '/inc/tab-control.php' );

    global $wp_registered_sidebars;

    $digital_marketing_agency_categories = get_categories(array('hide_empty' => 0));
    foreach ($digital_marketing_agency_categories as $digital_marketing_agency_category) {
        $digital_marketing_agency_cat[$digital_marketing_agency_category->term_id] = $digital_marketing_agency_category->cat_name;
    }
    
    $digital_marketing_agency_pages = get_pages(array('hide_empty' => 0));
    foreach ($digital_marketing_agency_pages as $digital_marketing_agency_pages_single) {
        $digital_marketing_agency_page_choice[$digital_marketing_agency_pages_single->ID] = $digital_marketing_agency_pages_single->post_title; 
    }
  
    for ( $i = 1; $i <= 100 ; $i++) { 
        $digital_marketing_agency_percentage[$i] = $i; 
    }  

    // $digital_marketing_agencyTeams = get_posts(array('hide_empty' => 0, 'post_type'=>'digital_marketing_agency_teams'));
    // foreach ($digital_marketing_agencyTeams as $digital_marketing_agencyTeamsSingle) {
    //     $digital_marketing_agencyTeamsSingleChoice[$digital_marketing_agencyTeamsSingle->ID] = $digital_marketing_agencyTeamsSingle->post_title;       
    // }
    $TesimonialsSingleChoice = getdigital_marketing_agencyPostsType('our-testimonial');
    $ProjectSingleChoice = getdigital_marketing_agencyPostsType('our-project');
    $ServicesSingleChoice = getdigital_marketing_agencyPostsType('our-services');
    $TeamSingleChoice = getdigital_marketing_agencyPostsType('our-team');
    $digital_marketing_agencyfaqSingleChoice = getdigital_marketing_agencyPostsType('our-faq');
    
    $digital_marketing_agency_post_count_choice = array( 3 => 3, 6 => 6, 9 => 9, 12 => 12, 15 => 15, 18 => 18, 21 => 21 ); 


    /*---------------------
    * Theme Options
    ----------------------*/
    $wp_customize->add_panel( 'panel_id', array(
        'priority'       => 121,
        'capability'     => 'edit_theme_options',
        'title'          => __('Theme Design Options', 'digital_marketing_agency Premium'),
        'description'    => __('Theme Design Options', 'digital_marketing_agency Premium'),
    ) ); 

    /********************* HOME PAGE SETTINGS *************************/
    /*---------------------------- START -----------------------------*/
    $wp_customize->add_panel(
        'digital_marketing_agency_premium_home_panel1',
        array(
            'title' => __( 'Home Sections', 'digital_marketing_agency Premium' ),
            'priority' => 19
        )
    );
    
    // echo 'header color'. 
    $headingColor = get_theme_mod('digital_marketing_agency_title_color', '#fe5722');
    // START SLIDER SECTION 
    include "homeSettings/goprobutton.php";
    include "homeSettings/slider-customizer.php";
    include "homeSettings/services-customizer.php";
    include "homeSettings/about-customizer.php";
    include "homeSettings/counter-customizer.php";
    include "homeSettings/features-customizer.php";
    include "homeSettings/step-customizer.php";
    include "homeSettings/project-customizer.php";    
    include "homeSettings/facility-customizer.php";
    include "homeSettings/team-customizer.php";      
    include "homeSettings/testimonial-customizer.php";
    include "homeSettings/pricing-customizer.php";
    include "homeSettings/contact-customizer.php";  
    include "homeSettings/blog-customizer.php";
    include "homeSettings/newsletter-customizer.php";
       
    /*---------------------------- END -------------------------------*/
    /******  GENERAL SETTINGS PANEL START *******/
    include "generalSttings/general-section.php";    
    include "generalSttings/font-customizer.php";   
    /******  GENERAL SETTINGS PANEL END *******/
    //header
    include "headerSettings/header-allsetting.php";
    include "headerSettings/header-logosetting.php"; 
    include "headerSettings/header-menusetting.php"; 

    // inner page
    include "pageSettings/innerpages.php";
    include "pageSettings/singlepost.php";
    include "pageSettings/contactpage.php";

    include "otherSettings/otherset.php";

    include "footerSettings/footerset.php";

    // CONTACT US PAGE
    include "homesection-sequence.php";
    
    wp_enqueue_style( 'home1css', get_template_directory_uri() . '/css/home1.css', array(), '4.1.1' );

    /**************************************************/
    /*****                 Info                   *****/
    /**************************************************/
    $wp_customize->add_section(
        'digital_marketing_agency_new',
        array(
            'title' => __('Help & Contact', 'digital_marketing_agency Premium'),
            'priority' => 0,
            'description' => __('
             <p><strong>Instruction - Setting up Home Page</strong>
             <br/>
                1. Create a new page (any title, like Home )<br/>
                2. In right column: Page Attributes -> Template: Home Page<br/>
                3. Click on Publish<br/>
                4. Go to Appearance-> Customize -> General settings -> Static Front Page<br/>
                5. Select - A static page<br/>
                6. In Front Page, select the page that you created in the step 1<br/>
                7. Save changes
            
             <p>
             <strong>Theme issues?</strong><br>
             If you are having theme related problems then please contact us through our <a href="https://www.buywpthemes.net/pages/support" target="_blank">contact form</a>, which can be found at <a href="https://www.buywpthemes.net/pages/support" target="_blank">http://digital_marketing_agency.com/contact/</a>
             </p>
             <p>
             <br>
             <a href="https://www.wpthemesdemo.com/docs/digital-marketing-agency/" target="_blank" style="display:block;">
             <img src="'.get_bloginfo('template_url').'/images/digital_marketing_agency-premium.png">
             </a>
             </p>
             ', 'digital_marketing_agency Premium') 
        )
    );  

    $wp_customize->add_setting('digital_marketing_agency_options[info]', array(
        'sanitize_callback' => 'digital_marketing_agency_no_sanitize',
        'type' => 'info_control',
        'capability' => 'edit_theme_options',
     )
    );
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'pro_section', array(
        'section' => 'digital_marketing_agency_new',
        'settings' => 'digital_marketing_agency_options[info]',
        'type' => 'hidden',
        'priority' => 109
        ) )
    );

    $wp_customize->add_section(
        'digital_marketing_agency_prem',
        array(
            'title' => __('Theme Document', 'digital_marketing_agency Premium'),
            'priority' => 9999,
            'description' => __('
             <a href="https://www.wpthemesdemo.com/docs/digital-marketing-agency/" target="_blank" style="display:block;">
             <img src="'.get_bloginfo('template_url').'/images/digital_marketing_agency-premium.png">
             </a>
             ', 'digital_marketing_agency Premium') 
        )
    ); 

    $wp_customize->add_setting('digital_marketing_agency_prem[info]', array(
        'sanitize_callback' => 'digital_marketing_agency_no_sanitize',
        'type' => 'info_control',
        'capability' => 'edit_theme_options',
    )
    );
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'premium_section', array(
        'section' => 'digital_marketing_agency_prem',
        'settings' => 'digital_marketing_agency_prem[info]',
        'type' => 'hidden',
        'priority' => 109
        ))
    );   
    
    function digital_marketing_agency_customizer_stylesheet() {
        wp_enqueue_style( 'digital_marketing_agency-customizer-css', get_template_directory_uri().'/css/css-customizer.css', NULL, NULL, 'all' );
        wp_enqueue_style( 'digital_marketing_agency-customizer2-css', get_template_directory_uri().'/css/customizer-style.css', NULL, NULL, 'all' );
        wp_enqueue_style( 'total-customizer-chosen-style', get_template_directory_uri() .'/css/chosen.css');
   
    }

// customizer button tab
   $wp_customize->register_control_type('digital_marketing_agency_Tab_Control');

    $wp_customize->register_panel_type( 'digital_marketing_agency_WP_Customize_Panel' );
  $wp_customize->register_section_type( 'digital_marketing_agency_WP_Customize_Section' );

}
add_action( 'customize_register', 'digital_marketing_agency_lite_customize_register' );


function digital_marketing_agency_customizer_script() {
    // Endqueue the js of files
    wp_enqueue_script( 'digital_marketing_agency_lite_customizer', get_template_directory_uri(). '/js/customizer.js', array( 'customize-preview' ), '20151215', true );
    wp_enqueue_script( 'digital_marketing_agency_lite_customizer-script', get_template_directory_uri(). '/js/customizer-scripts.js', array( 'customize-preview' ), '201512153', true );
    wp_enqueue_script( 'total-customizer-chosen-script', get_template_directory_uri().' /js/chosen.jquery.js', array("jquery"),'1.4.1', true  );
    // wp_enqueue_style( 'font-awesome', get_template_directory_uri() .'/css/font-awesome.css');   
    wp_enqueue_style( 'font-awesome', get_template_directory_uri() . '/css/font-awesome.css', array(), '4.4.0' );
    wp_enqueue_style( 'google-fonts', 'https://fonts.googleapis.com/css?family=Archivo+Narrow|Arimo|Berkshire+Swash|Bitter|Comfortaa|Dancing+Script|Dosis|Droid+Serif|Francois+One|Germania+One|Hammersmith+One|Indie+Flower|Lobster|Muli|Nosifer|PT+Sans|PT+Sans+Caption|PT+Sans+Narrow|Pacifico|Questrial|Roboto+Mono|Roboto+Slab|Source+Serif+Pro|Titillium+Web|Work+Sans|Poppins|Roboto' );
}
add_action( 'customize_controls_enqueue_scripts', 'digital_marketing_agency_customizer_script' );

function digital_marketing_agency_no_sanitize(){}


//SANITIZATION FUNCTIONS
function digital_marketing_agency_sanitize_text( $input ) {
    return wp_kses_post( force_balance_tags( $input ) );
}


function digital_marketing_agency_sanitize_integer( $input ) {
    if( is_numeric( $input ) ) {
        return intval( $input );
    }
}

function digital_marketing_agency_sanitize_choices_array( $input, $setting ) {
    global $wp_customize;
    
    if(!empty($input)){
        $input = array_map('absint', $input);
    }

    return $input;
} 

function getdigital_marketing_agencyPostsType($type){
    $digital_marketing_agencyPostData = null;
    if(!empty($type)){
        $digital_marketing_agencyPosts = get_posts(array('hide_empty' => 0, 'post_type'=> $type, 'numberposts' => -1 ));
        foreach ($digital_marketing_agencyPosts as $digital_marketing_agencyPostsSingle) {
            $digital_marketing_agencyPostData[$digital_marketing_agencyPostsSingle->ID] = $digital_marketing_agencyPostsSingle->post_title; 
        }
    }
    return $digital_marketing_agencyPostData;
}
/*
if(! function_exists('digital_marketing_agency_color_output' ) ):
/**
* Set the header background color 
*
function digital_marketing_agency_color_output(){
    ?>
    <style type="text/css">
    #site-header { background-color: <?php echo esc_attr(get_theme_mod( 'top_header_background_color')); ?>; }
</style>
<?php }
add_action( 'wp_head', 'digital_marketing_agency_color_output' );
endif;*/

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function digital_marketing_agency_lite_customize_preview_js() {
	wp_enqueue_script( 'digital_marketing_agency_lite_customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), '20151215', true );
    wp_enqueue_script( 'digital_marketing_agency_lite_customizer-script', get_template_directory_uri() . '/js/customizer-scripts.js', array( 'customize-preview' ), '20151215', true );
    wp_enqueue_script( 'total-customizer-chosen-script', get_template_directory_uri() .'/js/chosen.jquery.js', array("jquery"),'1.4.1', true  );
    // wp_enqueue_style( 'font-awesome', get_template_directory_uri() .'/css/font-awesome.css');   
    wp_enqueue_style( 'total-customizer-chosen-style', get_template_directory_uri() .'/css/chosen.css');
    wp_enqueue_style( 'font-awesome', get_template_directory_uri() . '/css/font-awesome.css', array(), '4.4.0' );


}
add_action( 'customize_preview_init', 'digital_marketing_agency_lite_customize_preview_js' );



/**
 * Enqueue script for custom customize control.
 */
function custom_customize_enqueue() {
    wp_enqueue_script( 'custom-customize', get_template_directory_uri() . '/js/customize-controls.js', array( 'jquery', 'customize-controls' ), false, true );

    wp_localize_script(
        'custom-customize',
        'digital_marketing_agency_customizer_params',
        array(
            'ajaxurl' =>    admin_url( 'admin-ajax.php' )
        )
    );

}
add_action( 'customize_controls_enqueue_scripts', 'custom_customize_enqueue' );

/**
 * Enqueue the stylesheet.
 */
function my_enqueue_customizer_stylesheet() {

    wp_register_style( 'my-customizer-css', get_template_directory_uri() . '/css/customize-controls.css', NULL, NULL, 'all' );
    wp_enqueue_style( 'my-customizer-css' );
}
add_action( 'customize_controls_print_styles', 'my_enqueue_customizer_stylesheet' );

// Enqueue our scripts and styles
function digital_marketing_agency_customize_controls_scripts() {

  wp_enqueue_script( 'digital_marketing_agency-customize-controls', get_theme_file_uri( '/js/panel-customize-controls.js' ), array(), '1.0', true );

}

add_action( 'customize_controls_enqueue_scripts', 'digital_marketing_agency_customize_controls_scripts' );

function digital_marketing_agency_customize_controls_styles() {

  wp_enqueue_style( 'digital_marketing_agency-customize-controls', get_theme_file_uri( '/css/panel-customize-controls.css' ), array(), '1.0' );

}

add_action( 'customize_controls_print_styles', 'digital_marketing_agency_customize_controls_styles' );